export const ROLES = {
  // Winshot roles
  WINSHOT_MOBILE_USER: 'MOBILE_USER',
  WINSHOT_CRM_USER: 'CRM_USER',
  WINSHOT_SUPERADMIN_USER: 'SUPERADMIN_USER',
  // spotly roles
  SPOTLY_ANIMATOR: 'ANIMATOR',
  SPOTLY_SUPERVISOR: 'SUPERVISOR',
  SPOTLY_AGENCY_USER: 'AGENCY_USER',
  SPOTLY_COMPANY_USER: 'COMPANY_USER',
  SPOTLY_SUPER_ADMIN: 'SUPER_ADMIN',
  //
  IDP_ADMIN: 'IDP_ADMIN',
  IDP_USER: 'IDP_USER',
} as const;

export type RoleType = typeof ROLES[keyof typeof ROLES];
